#
# spec file for package yast2-config-nfs-server (Version 2.4.11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-config-nfs-server
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-trans-nfs-server yast2-lib-wizard yast2-lib-sequencer
Requires:	yast2-config-package-manager
Requires:	yast2-config-runlevel
Provides:	yast2-config-network:/usr/lib/YaST2/clients/lan_nfs_server.ycp
BuildArchitectures:	noarch
Summary:      YaST2 - Configuration of NFS server
Version:      2.4.11
Release:      21
Source0:	yast2-config-nfs-server-2.4.11.tar.bz2

%description
The YaST2 component for configuration of NFS server.
NFS stands for network file system access.
It allows access for local files to remote machines.

Authors:
--------
    Dan Vesely <dan@suse.cz> 
    

SuSE series: yast

%package devel
Summary:      YaST2 - Configuration of NFS server, developer documentation
Version:      2.4.11
Release:      21
Group:		System Environment/YaST

%description devel
Documentation for developers who want to understand or modify
the sources of the Network File system server configuration module.

Authors:
--------
    Dan Vesely <dan@suse.cz> 
    

SuSE series: yast

%prep
%setup -n yast2-config-nfs-server-2.4.11

%build
./configure
make

%install
make install
make check

%files
%dir /usr/lib/YaST2/include/nfs_server
/usr/lib/YaST2/include/nfs_server/*
/usr/lib/YaST2/clients/nfs_server.ycp
/usr/lib/YaST2/menuentries/menuentry_nfs_server.ycp

%files devel
%doc /usr/share/doc/packages/yast2-config-nfs-server

%changelog -n yast2-config-nfs-server
* Thu Sep 20 2001 - mvidner@suse.cz
- Leave disabled the Add host button until a mount point is selected
  that the host will apply to. (#11075)
- Allow empty export options (parens are supplied automatically) (#11076);
  empty host wildcard is translated to "*".
- 2.4.11
* Mon Sep 03 2001 - mvidner@suse.cz
- Start portmap only if not running already (Bug #9999). (2.4.10)
* Fri Aug 31 2001 - ro@suse.de
- added <libycp-devel> to neededforbuild (for testsuite)
* Tue Aug 28 2001 - mvidner@suse.cz
- Fixed a truncated table label (#9907). (2.4.8)
* Thu Aug 23 2001 - mvidner@suse.cz
- Added documentation in a devel subpackage (2.4.7)
* Tue Aug 21 2001 - mvidner@suse.cz
- Only one <p> per string.
- Switched from START_* to runlevel_adjust.
- 2.4.6
* Tue Aug 07 2001 - mvidner@suse.cz
- Changed from RPM Requires to require.ycp.
- 2.4.5
* Mon Jul 30 2001 - mvidner@suse.cz
- Turned off autoheader.
- Added an Abort button.
- Parentheses are filtered from exports options, this time correctly.
- Replaced _("&OK") by OKButtonLabel() etc.
- Unified the buttons to Add-Edit-Delete.
- Made keyboard shortcuts unique.
- version 2.4.4
* Tue Jul 24 2001 - mvidner@suse.cz
- Fixed a stupid error in the specfile.
- version 2.4.3
* Mon Jul 23 2001 - mvidner@suse.cz
- Fixed calling the writing function. Fixed obsolete Shell call.
- Requires nfs-utils.
- Parentheses are filtered from exports options.
- version 2.4.2
* Thu Jul 19 2001 - msvec@suse.cz
- correct textdomain
- correct provides
- version 2.4.1
* Wed Jul 18 2001 - msvec@suse.cz
- split of the yast2-config-network
- version 2.4.0
